Page 1 of 2

Really weird, random compiz-fusion problem [Solved]

Posted: Fri Sep 28, 2007 2:55
by absolofdoom
All of a sudden, compiz fusion and compiz fusion icon just stopped running by themselves. The weirdest thing is that compiz-config and compiz fusion icon will not run at all. I tried running "compiz --replace" and then "emerald --replace", but once I run "compiz --replace, I lose my window bars and alt-F2 won't bring up a run box anymore, opening a terminal does no good, because for some reason, it won't focus that window properly. The last thing I did was install Stani's Python Editor (SPE) with emerge, and it wouldn't run, it complained about GIMP not having something or another. I don't know if this had anything to do with it, but it could.

Thanks,


- absolofdoom

Re: Really weird, random compiz-fusion problem

Posted: Fri Sep 28, 2007 3:02
by wolfden
did you also end up updating python?

Re: Really weird, random compiz-fusion problem

Posted: Fri Sep 28, 2007 3:21
by absolofdoom
Actually, yes, I noticed my ver. of python was 2.4.4, and I wanted 2.5.whatever, so I updated it. Is there some bug in the new ver. of python or something?
Or are you just checking?

anywho, thanks for helping me, I really appreciate your hard work. It's as if you answer every question people have! -and lxnay. :)

-absolofdoom

Re: Really weird, random compiz-fusion problem

Posted: Fri Sep 28, 2007 3:33
by wolfden
did you run python-updater -i than?

you need to update all the files too

Re: Really weird, random compiz-fusion problem

Posted: Sat Sep 29, 2007 12:43
by absolofdoom
no, I hadn't, I didn't know it existed... :oops:
that might fix the problem, I'll try. thanks

Re: Really weird, random compiz-fusion problem

Posted: Sun Sep 30, 2007 3:35
by node_one
I have the same problem. I ran python-updater after I had gone back into X at least once. I can run compiz-start from Konsole and get some effects, but I cannot restart the icon application and the settings application looks completely different now. I do not know exactly how it works, but it seems that plug-ins are missing.

Re: Really weird, random compiz-fusion problem

Posted: Sun Sep 30, 2007 18:22
by absolofdoom
After running python-updater -i I get this:

Code: Select all

Password:
 * Starting Python Updater from 2.4 to 2.5 :
 * Searching for packages with files in /usr/lib/python2.4 /usr/lib32/python2.4 /usr/lib64/python2.4 ..
/usr/sbin/python-updater: line 181: /var/db/pkg/x11-proto/glproto-1.4.6_alpha20060317/SLOT: No such file or directory
 * Adding to list: net-dns/avahi:0
 * Adding to list: net-wireless/libbtctl:0
 * Adding to list: net-wireless/gnome-bluetooth:0
 * Adding to list: dev-java/java-config:2
 * Adding to list: dev-java/java-config:0
 * Adding to list: dev-java/antlr:0
 * Adding to list: x11-libs/vte:0
 * Adding to list: app-pda/pilot-link:0
 * Adding to list: app-pda/libopensync:0
/usr/sbin/python-updater: line 181: /var/db/pkg/sys-kernel/linux-sabayon-2.6.22/SLOT: No such file or directory
 * Adding to list: gnome-extra/gnome-games:0
 * Adding to list: gnome-extra/libgsf:0
 * Adding to list: gnome-extra/deskbar-applet:0
 * Adding to list: x11-wm/metisse:0
 * Adding to list: app-portage/layman:0
 * Adding to list: app-portage/portato:0
 * Adding to list: app-portage/etcproposals:0
 * Adding to list: dev-python/Louie:0
 * Adding to list: dev-python/pyvorbis:0
 * Adding to list: dev-python/gnome-python:2
 * Adding to list: dev-python/pykde:0
 * Adding to list: dev-python/pyid3lib:0
 * Adding to list: dev-python/soappy:0
 * Adding to list: dev-python/ctypes:0
 * Adding to list: dev-python/pyorbit:0
 * Adding to list: dev-python/pyrex:0
 * Adding to list: dev-python/numeric:0
 * Adding to list: dev-python/PyQt4:0
 * Adding to list: dev-python/gst-python:0.10
 * Adding to list: dev-python/egenix-mx-base:0
 * Adding to list: dev-python/pycairo:0
 * Adding to list: dev-python/compizconfig-python:0
 * Adding to list: dev-python/fpconst:0
 * Adding to list: dev-python/pygtk:2
 * Adding to list: dev-python/twisted:0
 * Adding to list: dev-python/pysqlite:2
 * Adding to list: dev-python/pygobject:2
 * Adding to list: dev-python/urlgrabber:0
 * Adding to list: dev-python/python-musicbrainz2:0
 * Adding to list: dev-python/gnome-python-desktop:0
 * Adding to list: dev-python/pychecker:0
 * Adding to list: dev-python/python-fchksum:0
 * Adding to list: dev-python/reportlab:0
 * Adding to list: dev-python/pygtkglext:0
 * Adding to list: dev-python/pyxf86config:0
 * Adding to list: dev-python/Coherence:0
 * Adding to list: dev-python/celementtree:0
 * Adding to list: dev-python/pyopengl:0
 * Adding to list: dev-python/rhpl:0
 * Adding to list: dev-python/pygame:0
 * Adding to list: dev-python/mmpython:0
 * Adding to list: dev-python/gnome-python-extras:0
 * Adding to list: dev-python/setuptools:0
 * Adding to list: dev-python/cddb-py:0
 * Adding to list: dev-python/dbus-python:0
 * Adding to list: dev-python/pyopenssl:0
 * Adding to list: dev-python/sip:0
 * Adding to list: dev-python/nevow:0
 * Adding to list: dev-python/elementtree:0
 * Adding to list: dev-python/pyxml:0
 * Adding to list: dev-python/configobj:0
 * Adding to list: dev-python/eyeD3:0
 * Adding to list: dev-python/lxml:0
 * Adding to list: dev-python/imaging:0
 * Adding to list: dev-python/twisted-web:0
 * Adding to list: dev-python/pyparted:0
 * Adding to list: dev-python/wxpython:2.6
 * Adding to list: dev-python/PyQt:0
 * Adding to list: dev-python/m2crypto:0
 * Adding to list: dev-python/pyogg:0
 * Adding to list: dev-python/pycrypto:0
 * Adding to list: dev-python/pylirc:0
 * Adding to list: dev-python/python-ldap:0
 * Adding to list: dev-python/id3-py:0
 * Adding to list: net-print/hplip:0
 * Adding to list: sys-libs/libcap:0
 * Adding to list: sys-libs/libselinux:0
 * Adding to list: sys-libs/cracklib:0
 * Adding to list: app-misc/cwiid:0
 * Adding to list: app-misc/beagle:0
 * Adding to list: sys-apps/file:0
 * Adding to list: dev-util/scons:0
 * Adding to list: dev-util/wxglade:0
 * Adding to list: dev-util/subversion:0
 * Adding to list: dev-util/portatosourceview:0
 * Adding to list: app-mobilephone/obexftp:0
 * Adding to list: gnome-base/gnome-applets:2
 * Adding to list: gnome-base/gnome-menus:0
/usr/sbin/python-updater: line 181: /var/db/pkg/net-misc/nm-applet-0.6.5-r1/SLOT: No such file or directory
 * Adding to list: app-admin/webapp-config:0
/usr/sbin/python-updater: line 181: /var/db/pkg/app-admin/liboobs-2.18.1/SLOT: No such file or directory
 * Adding to list: app-admin/gamin:0
 * Adding to list: app-admin/sabayon:0
 * Adding to list: media-sound/jack:0
 * Adding to list: media-gfx/graphviz:0
/usr/sbin/python-updater: line 181: /var/db/pkg/media-video/manencode-0.8/SLOT: No such file or directory
/usr/sbin/python-updater: line 181: /var/db/pkg/media-video/manslide-1.5.9/SLOT: No such file or directory
/usr/sbin/python-updater: line 181: /var/db/pkg/media-video/mandvd-2.4-r2/SLOT: No such file or directory
 * Adding to list: dev-libs/newt:0
 * Adding to list: dev-libs/libxslt:0
 * Adding to list: dev-libs/libdnet:0
 * Adding to list: dev-libs/libxml2:2
 * Adding to list: dev-libs/beecrypt:0
 * Adding to list: media-libs/ming:0
 * Adding to list: media-libs/mutagen:0
 * Adding to list: media-libs/libgpod:0
 * Adding to list: media-libs/tunepimp:0
 * Adding to list: media-libs/lcms:0
 * Adding to list: media-libs/pigment:0
 * Adding to list: media-tv/democracy:0
 * Adding to list: media-tv/elisa:0
 * Adding to list: x11-misc/alacarte:0
 * Adding to list: net-fs/samba:0
 * Adding to list: net-zope/zopeinterface:0
 * Adding to list: app-emulation/virtinst:0
 * Adding to list: app-emulation/wine-doors:0
 * Adding to list: app-emulation/libvirt:0

These are the packages that would be merged, in order:

Calculating dependencies /
!!! All ebuilds that could satisfy ">=app-text/hspell-1.0" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-text/hspell-1.0-r1 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Alon Bar-Lev <[email protected]> (13 Sep 2007)
# Please use app-text/aspell + app-dicts/aspell-he
# Remove from tree at 2007-09-20, bug#177707.


For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
(dependency required by "kde-base/kdelibs-3.5.7-r10" [installed])


What should I do?

Re: Really weird, random compiz-fusion problem

Posted: Sat Oct 06, 2007 0:36
by Lamo
I'm having the same problem. I updated python and now compiz-fusion will not work? I ran python-updater -i but still no luck. When I try to run fusion-icon from bash i get the following error:

Code: Select all

$ fusion-icon
* Using the Qt4 Interface
* Error: failed to import: PyQt4, interface_qt4


Not sure what else to do? Any help would be appreciated!

Re: Really weird, random compiz-fusion problem

Posted: Sat Oct 06, 2007 4:56
by absolofdoom
Can python be down-graded with emerge? Would this possibly fix the problem, or just make it worse?

Well, I can always try...

EDIT: I can't figure out how to force emerge to use a lower version number. Does anybody know how to do this? - thanks

-absolofdoom

Re: Really weird, random compiz-fusion problem

Posted: Sat Oct 06, 2007 5:03
by Lamo
I'm working on fixing the problem right now. First thing I had to do was copy this ---> http://rafb.net/p/oxhqRK77.html and save it as a text file. Then I ran:

Code: Select all

$cat <nameoffile>.txt | xargs emerge -pv


And once everything looked good I removed the p.
Then when ever that gets hung up on something remove it from the text file and run it again.

I've been drinking so I'll get back to you with more when I know every thing is working out and I can think straight.